Portfolio & Risk
List order reject rules
List order reject rules
GET
https://api-oms.verolabs.co
/
api
/
v1
/
orders
/
risk
/
rules
List order reject rules
curl --request GET \
--url https://api-oms.verolabs.co/api/v1/orders/risk/rules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-oms.verolabs.co/api/v1/orders/risk/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/risk/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/risk/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/risk/rules");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/risk/rules");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": [
{
"kind": "<string>",
"scope": "SYSTEM",
"target": "<string>",
"match": "<string>",
"value": 123
}
]
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Phản hồi
200 - application/json
OK
OrderRiskRulesResponse schema.
Indicates whether the operation completed successfully.
Detailed information for the record.
Operation-specific response payload.
Hide child attributes
Hide child attributes
ORDER_BLOCK_TRADE_{MARKET,PRODUCT_GROUP,SYMBOL}_{ALL,BUY,SELL}.
Rule scope.
Tùy chọn có sẵn:
SYSTEM, CHANNEL, ACCOUNT, SYMBOL Account code or *.
Market/product group/ISIN or *.
1 blocks, 0 disables.
⌘I
List order reject rules
curl --request GET \
--url https://api-oms.verolabs.co/api/v1/orders/risk/rules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-oms.verolabs.co/api/v1/orders/risk/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/risk/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/risk/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/risk/rules");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/risk/rules");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": [
{
"kind": "<string>",
"scope": "SYSTEM",
"target": "<string>",
"match": "<string>",
"value": 123
}
]
}
